XML Standard API: Class RangeException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.ranges
Class RangeException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.w3c.dom.ranges.RangeException

All Implemented Interfaces:
  java.io.Serializable

public class RangeException
extends java.lang.RuntimeException

Range operations may throw a `RangeException` as specified in their method descriptions.

See also the Document Object Model (DOM) Level 2 Traversal and Range Specification.

Since:
  DOM Level 2
See Also:
  Serialized Form

Field Summary
`static short` | `BAD_BOUNDARYPOINTS_ERR` If the boundary-points of a Range do not meet specific requirements.
`short` | `code`
`static short` | `INVALID_NODE_TYPE_ERR` If the container of an boundary-point of a Range is being set to either a node of an invalid type or a node with an ancestor of an invalid type.

Constructor Summary
`RangeException(short code, java.lang.String message)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### code

    public short code

### BAD_BOUNDARYPOINTS_ERR

    public static final short BAD_BOUNDARYPOINTS_ERR

  If the boundary-points of a Range do not meet specific requirements.

### INVALID_NODE_TYPE_ERR

    public static final short INVALID_NODE_TYPE_ERR

  If the container of an boundary-point of a Range is being set to either a node of an invalid type or a node with an ancestor of an invalid type.

Constructor Detail

### RangeException

    public RangeException(short code,
                          java.lang.String message)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.